NX Open C++ Reference Guide
|
Represents an annotation / PMI (Product and Manufacturing Information) display instance object. More...
Classes | |
struct | AssociativeOriginData |
Describes the geometry that an annotation's origin is associated with. More... | |
Public Member Functions | |
NXOpen::Point3d | AnnotationOrigin () |
Returns the origin (location) of the annotation. | |
NXOpen::Xform * | AnnotationPlane () |
Returns the annotation plane. | |
NXOpen::Annotations::Annotation::AssociativeOriginData | GetAssociativeOrigin (NXOpen::Point3d *origin) |
Gets data that specifies the origin's associativity. | |
NXOpen::Annotations::Associativity * | GetAssociativity (int associativityIndex) |
Returns the associativity at specified index. | |
NXOpen::Xform * | GetInferredAnnotationPlane (NXOpen::Annotations::PmiDefaultPlane jaDefaultPlane) |
Returns the inferred annotation plane. | |
NXOpen::Annotations::LetteringPreferences * | GetLetteringPreferences () |
Returns the lettering preferences for the annotation. | |
NXOpen::Annotations::LineAndArrowPreferences * | GetLineAndArrowPreferences () |
Returns the line and arrow preferences for the annotation. | |
NXOpen::Annotations::SymbolPreferences * | GetSymbolPreferences () |
Returns the symbol preferences for the annotation. | |
std::vector< NXOpen::View * > | GetViews () |
Returns the views that the PMI display instance object is displayed in NOTE: This method is only valid for PMI display instance objects. | |
bool | HasAssociativeOrigin () |
Returns a flag indicating whether the origin is associative Created in NX3.0.0. | |
void | InsertIntoStack (NXOpen::Annotations::Annotation *stack, NXOpen::Annotations::StackAlignmentPosition position) |
Inserts the annotation into a stack. | |
bool | IsRetained () |
Returns a flag indicating whether the annotation is retained Created in NX3.0.0. | |
NXOpen::Annotations::LeaderOrientation | LeaderOrientation () |
Returns the leader orientation for the annotation. | |
int | NumberOfAssociativities () |
Returns the number of associativities for the annotation. | |
void | SetAnnotationOrigin (const NXOpen::Point3d &origin) |
Sets the origin (location) of the annotation. | |
void | SetAnnotationPlane (NXOpen::Xform *annotationPlane) |
Sets the annotation plane. | |
void | SetAssociativeOrigin (const NXOpen::Annotations::Annotation::AssociativeOriginData &assocOrigin, const NXOpen::Point3d &origin) |
Associates the annotation's origin to the specified geometry. | |
void | SetAssociativity (int associativityIndex, NXOpen::Annotations::Associativity *associativity) |
Sets the associativity at specified index. | |
void | SetLeaderOrientation (NXOpen::Annotations::LeaderOrientation leaderOrientation) |
Sets the leader orientation for the annotation. | |
void | SetLetteringPreferences (NXOpen::Annotations::LetteringPreferences *letteringPrefs) |
Sets the lettering preferences for the annotation. | |
void | SetLineAndArrowPreferences (NXOpen::Annotations::LineAndArrowPreferences *lineArrowPrefs) |
Sets the line and arrow preferences for the annotation. | |
void | SetSymbolPreferences (NXOpen::Annotations::SymbolPreferences *symbolPrefs) |
Sets the symbol preferences for the annotation. | |
void | SetViews (const std::vector< NXOpen::View * > &modelViews) |
Sets the views that the PMI display instance object is displayed in. | |
![]() | |
void | Blank () |
Blanks the object. | |
int | Color () |
Returns the color of the object. | |
void | Highlight () |
Highlights the object. | |
bool | IsBlanked () |
Returns the blank status of this object. | |
int | Layer () |
Returns the layer that the object is in. | |
NXOpen::DisplayableObject::ObjectFont | LineFont () |
Returns the line font of the object. | |
NXOpen::DisplayableObject::ObjectWidth | LineWidth () |
Returns the line width of the object. | |
NXOpen::Point3d | NameLocation () |
Returns the location of the object's name. | |
void | RedisplayObject () |
Redisplays the object in all views. | |
void | SetColor (int color) |
Sets the color of the object. | |
void | SetLayer (int layer) |
Sets the layer that the object is in. | |
void | SetLineFont (NXOpen::DisplayableObject::ObjectFont font) |
Sets the line font of the object. | |
void | SetLineWidth (NXOpen::DisplayableObject::ObjectWidth width) |
Sets the line width of the object. | |
void | SetNameLocation (const NXOpen::Point3d &location) |
Sets the location of the object's name. | |
void | Unblank () |
Unblanks the object. | |
void | Unhighlight () |
Unhighlights the object. | |
![]() | |
void | DeleteAllAttributesByType (NXOpen::NXObject::AttributeType type) |
Deletes all attributes of a specific type. | |
void | DeleteAllAttributesByType (NXOpen::NXObject::AttributeType type, NXOpen::Update::Option option) |
Deletes all attributes of a specific type with the option to update or not. | |
void | DeleteAttributeByTypeAndTitle (NXOpen::NXObject::AttributeType type, const NXString &title) |
Deletes an attribute by type and title. | |
void | DeleteAttributeByTypeAndTitle (NXOpen::NXObject::AttributeType type, const char *title) |
Deletes an attribute by type and title. | |
void | DeleteAttributeByTypeAndTitle (NXOpen::NXObject::AttributeType type, const NXString &title, NXOpen::Update::Option option) |
Deletes an attribute by type and title with the option to update or not. | |
void | DeleteAttributeByTypeAndTitle (NXOpen::NXObject::AttributeType type, const char *title, NXOpen::Update::Option option) |
Deletes an attribute by type and title with the option to update or not. | |
void | DeleteUserAttribute (NXOpen::NXObject::AttributeType type, const NXString &title, bool deleteEntireArray, NXOpen::Update::Option option) |
Deletes the first attribute encountered with the given Type, Title and Index. | |
void | DeleteUserAttribute (NXOpen::NXObject::AttributeType type, const char *title, bool deleteEntireArray, NXOpen::Update::Option option) |
Deletes the first attribute encountered with the given Type, Title and Index. | |
void | DeleteUserAttributes (NXOpen::NXObject::AttributeType type, NXOpen::Update::Option option) |
Deletes the attributes encountered with the given Type with option to update or not. | |
virtual NXOpen::INXObject * | FindObject (const NXString &journalIdentifier) |
Finds the NXObject with the given identifier as recorded in a journal. | |
NXOpen::INXObject * | FindObject (const char *journalIdentifier) |
Finds the NXObject with the given identifier as recorded in a journal. | |
std::vector < NXOpen::NXObject::AttributeInformation > | GetAttributeTitlesByType (NXOpen::NXObject::AttributeType type) |
Gets all the attribute titles of a specific type. | |
bool | GetBooleanUserAttribute (const NXString &title, int index) |
Gets a boolean attribute by Title and array Index. | |
bool | GetBooleanUserAttribute (const char *title, int index) |
Gets a boolean attribute by Title and array Index. | |
NXOpen::NXObject::ComputationalTime | GetComputationalTimeUserAttribute (const NXString &title, int index) |
Gets a time attribute by Title and array Index. | |
NXOpen::NXObject::ComputationalTime | GetComputationalTimeUserAttribute (const char *title, int index) |
Gets a time attribute by Title and array Index. | |
int | GetIntegerAttribute (const NXString &title) |
Gets an integer attribute by title. | |
int | GetIntegerAttribute (const char *title) |
Gets an integer attribute by title. | |
int | GetIntegerUserAttribute (const NXString &title, int index) |
Gets an integer attribute by Title and array Index. | |
int | GetIntegerUserAttribute (const char *title, int index) |
Gets an integer attribute by Title and array Index. | |
double | GetRealAttribute (const NXString &title) |
Gets a real attribute by title. | |
double | GetRealAttribute (const char *title) |
Gets a real attribute by title. | |
double | GetRealUserAttribute (const NXString &title, int index) |
Gets a real attribute by Title and array Index. | |
double | GetRealUserAttribute (const char *title, int index) |
Gets a real attribute by Title and array Index. | |
NXString | GetReferenceAttribute (const NXString &title) |
Gets the reference string (not the calculated value) of a string attribute that uses a reference string. | |
NXString | GetReferenceAttribute (const char *title) |
Gets the reference string (not the calculated value) of a string attribute that uses a reference string. | |
NXString | GetStringAttribute (const NXString &title) |
Gets a string attribute value by title. | |
NXString | GetStringAttribute (const char *title) |
Gets a string attribute value by title. | |
NXString | GetStringUserAttribute (const NXString &title, int index) |
Gets a string attribute by Title and array Index. | |
NXString | GetStringUserAttribute (const char *title, int index) |
Gets a string attribute by Title and array Index. | |
NXString | GetTimeAttribute (NXOpen::NXObject::DateAndTimeFormat format, const NXString &title) |
Gets a time attribute by title. | |
NXString | GetTimeAttribute (NXOpen::NXObject::DateAndTimeFormat format, const char *title) |
Gets a time attribute by title. | |
NXString | GetTimeUserAttribute (const NXString &title, int index) |
Gets a time attribute by Title and array Index. | |
NXString | GetTimeUserAttribute (const char *title, int index) |
Gets a time attribute by Title and array Index. | |
NXOpen::NXObject::AttributeInformation | GetUserAttribute (const NXString &title, NXOpen::NXObject::AttributeType type, int index) |
Gets the first attribute encountered on the object, if any, with a given Title, Type and array Index. | |
NXOpen::NXObject::AttributeInformation | GetUserAttribute (const char *title, NXOpen::NXObject::AttributeType type, int index) |
Gets the first attribute encountered on the object, if any, with a given Title, Type and array Index. | |
NXString | GetUserAttributeAsString (const NXString &title, NXOpen::NXObject::AttributeType type, int index) |
Gets the first attribute encountered on the object, if any, with a given title, type and array index. | |
NXString | GetUserAttributeAsString (const char *title, NXOpen::NXObject::AttributeType type, int index) |
Gets the first attribute encountered on the object, if any, with a given title, type and array index. | |
bool | GetUserAttributeLock (const NXString &title, NXOpen::NXObject::AttributeType type) |
Determine the lock of the given attribute. | |
bool | GetUserAttributeLock (const char *title, NXOpen::NXObject::AttributeType type) |
Determine the lock of the given attribute. | |
std::vector < NXOpen::NXObject::AttributeInformation > | GetUserAttributes () |
Gets all the attributes that have been set on the given object. | |
std::vector < NXOpen::NXObject::AttributeInformation > | GetUserAttributes (bool includeUnset) |
Gets all the attributes that have been set on the given object. | |
std::vector < NXOpen::NXObject::AttributeInformation > | GetUserAttributes (bool includeUnset, bool addStringValues) |
Gets all the attributes that have been set on the given object. | |
std::vector< NXString > | GetUserAttributesAsStrings () |
Gets all the attributes that have been set on the given object. | |
std::vector< NXOpen::NXObject * > | GetUserAttributeSourceObjects () |
Returns an array of objects from which this object presents attributes. | |
bool | HasUserAttribute (const NXString &title, NXOpen::NXObject::AttributeType type, int index) |
Determines if an attribute with the given Title, Type and array Index is present on the object If the attribute is not an array, the Index is ignored (if this is known beforehand, we recommend setting the Index to -1 to save time). | |
bool | HasUserAttribute (const char *title, NXOpen::NXObject::AttributeType type, int index) |
Determines if an attribute with the given Title, Type and array Index is present on the object If the attribute is not an array, the Index is ignored (if this is known beforehand, we recommend setting the Index to -1 to save time). | |
virtual bool | IsOccurrence () |
Returns whether this object is an occurrence or not. | |
virtual NXString | JournalIdentifier () |
Returns the identifier that would be recorded in a journal for this object. | |
virtual NXString | Name () |
Returns the custom name of the object. | |
virtual NXOpen::Assemblies::Component * | OwningComponent () |
Returns the owning component, if this object is an occurrence. | |
virtual NXOpen::BasePart * | OwningPart () |
Returns the owning part of this object Created in NX3.0.0. | |
virtual void | Print () |
Prints a representation of this object to the system log file. | |
virtual NXOpen::INXObject * | Prototype () |
Returns the prototype of this object if it is an occurrence. | |
void | SetAttribute (const NXString &title, int value) |
Creates or modifies an integer attribute. | |
void | SetAttribute (const char *title, int value) |
Creates or modifies an integer attribute. | |
void | SetAttribute (const NXString &title, int value, NXOpen::Update::Option option) |
Creates or modifies an integer attribute with the option to update or not. | |
void | SetAttribute (const char *title, int value, NXOpen::Update::Option option) |
Creates or modifies an integer attribute with the option to update or not. | |
void | SetAttribute (const NXString &title, double value) |
Creates or modifies a real attribute. | |
void | SetAttribute (const char *title, double value) |
Creates or modifies a real attribute. | |
void | SetAttribute (const NXString &title, double value, NXOpen::Update::Option option) |
Creates or modifies a real attribute with the option to update or not. | |
void | SetAttribute (const char *title, double value, NXOpen::Update::Option option) |
Creates or modifies a real attribute with the option to update or not. | |
void | SetAttribute (const NXString &title, const NXString &value) |
Creates or modifies a string attribute. | |
void | SetAttribute (const char *title, const char *value) |
Creates or modifies a string attribute. | |
void | SetAttribute (const NXString &title, const NXString &value, NXOpen::Update::Option option) |
Creates or modifies a string attribute with the option to update or not. | |
void | SetAttribute (const char *title, const char *value, NXOpen::Update::Option option) |
Creates or modifies a string attribute with the option to update or not. | |
void | SetAttribute (const NXString &title) |
Creates or modifies a null attribute which is an attribute with a title and no value. | |
void | SetAttribute (const char *title) |
Creates or modifies a null attribute which is an attribute with a title and no value. | |
void | SetAttribute (const NXString &title, NXOpen::Update::Option option) |
Creates or modifies a null attribute with the option to update or not. | |
void | SetAttribute (const char *title, NXOpen::Update::Option option) |
Creates or modifies a null attribute with the option to update or not. | |
void | SetBooleanUserAttribute (const NXString &title, int index, bool value, NXOpen::Update::Option option) |
Creates or modifies a boolean attribute with the option to update or not. | |
void | SetBooleanUserAttribute (const char *title, int index, bool value, NXOpen::Update::Option option) |
Creates or modifies a boolean attribute with the option to update or not. | |
virtual void | SetName (const NXString &name) |
Sets the custom name of the object. | |
void | SetName (const char *name) |
Sets the custom name of the object. | |
void | SetReferenceAttribute (const NXString &title, const NXString &value) |
Creates or modifies a string attribute which uses a reference string. | |
void | SetReferenceAttribute (const char *title, const char *value) |
Creates or modifies a string attribute which uses a reference string. | |
void | SetReferenceAttribute (const NXString &title, const NXString &value, NXOpen::Update::Option option) |
Creates or modifies a string attribute which uses a reference string, with the option to update or not. | |
void | SetReferenceAttribute (const char *title, const char *value, NXOpen::Update::Option option) |
Creates or modifies a string attribute which uses a reference string, with the option to update or not. | |
void | SetTimeAttribute (const NXString &title, const NXString &value) |
Creates or modifies a time attribute. | |
void | SetTimeAttribute (const char *title, const char *value) |
Creates or modifies a time attribute. | |
void | SetTimeAttribute (const NXString &title, const NXString &value, NXOpen::Update::Option option) |
Creates or modifies a time attribute with the option to update or not. | |
void | SetTimeAttribute (const char *title, const char *value, NXOpen::Update::Option option) |
Creates or modifies a time attribute with the option to update or not. | |
void | SetTimeUserAttribute (const NXString &title, int index, const NXString &value, NXOpen::Update::Option option) |
Creates or modifies a time attribute with the option to update or not. | |
void | SetTimeUserAttribute (const char *title, int index, const char *value, NXOpen::Update::Option option) |
Creates or modifies a time attribute with the option to update or not. | |
void | SetTimeUserAttribute (const NXString &title, int index, const NXOpen::NXObject::ComputationalTime &value, NXOpen::Update::Option option) |
Creates or modifies a time attribute with the option to update or not. | |
void | SetTimeUserAttribute (const char *title, int index, const NXOpen::NXObject::ComputationalTime &value, NXOpen::Update::Option option) |
Creates or modifies a time attribute with the option to update or not. | |
void | SetUserAttribute (const NXOpen::NXObject::AttributeInformation &info, NXOpen::Update::Option option) |
Creates or modifies an attribute with the option to update or not. | |
void | SetUserAttribute (const NXString &title, int index, int value, NXOpen::Update::Option option) |
Creates or modifies an integer attribute with the option to update or not. | |
void | SetUserAttribute (const char *title, int index, int value, NXOpen::Update::Option option) |
Creates or modifies an integer attribute with the option to update or not. | |
void | SetUserAttribute (const NXString &title, int index, double value, NXOpen::Update::Option option) |
Creates or modifies a real attribute with the option to update or not. | |
void | SetUserAttribute (const char *title, int index, double value, NXOpen::Update::Option option) |
Creates or modifies a real attribute with the option to update or not. | |
void | SetUserAttribute (const NXString &title, int index, const NXString &value, NXOpen::Update::Option option) |
Creates or modifies a string attribute with the option to update or not. | |
void | SetUserAttribute (const char *title, int index, const char *value, NXOpen::Update::Option option) |
Creates or modifies a string attribute with the option to update or not. | |
void | SetUserAttribute (const NXString &title, int index, NXOpen::Update::Option option) |
Creates or modifies a null attribute with the option to update or not. | |
void | SetUserAttribute (const char *title, int index, NXOpen::Update::Option option) |
Creates or modifies a null attribute with the option to update or not. | |
void | SetUserAttributeLock (const NXString &title, NXOpen::NXObject::AttributeType type, bool lock) |
Lock or unlock the given attribute. | |
void | SetUserAttributeLock (const char *title, NXOpen::NXObject::AttributeType type, bool lock) |
Lock or unlock the given attribute. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
![]() | |
NXOpen::INXObject * | FindObject (const char *journalIdentifier) |
Finds the NXObject with the given identifier as recorded in a journal. | |
void | SetName (const char *name) |
Sets the custom name of the object. | |
Additional Inherited Members | |
![]() | |
enum | ObjectFont { ObjectFontSolid = 1, ObjectFontDashed, ObjectFontPhantom, ObjectFontCenterline, ObjectFontDotted, ObjectFontLongDashed, ObjectFontDottedDashed } |
specifies the object font for objects such as lines Created in NX3.0.0. More... | |
enum | ObjectWidth { ObjectWidthNormal, ObjectWidthThick, ObjectWidthThin, ObjectWidthOne = 5, ObjectWidthTwo, ObjectWidthThree, ObjectWidthFour, ObjectWidthFive, ObjectWidthSix, ObjectWidthSeven, ObjectWidthEight, ObjectWidthNine } |
specifies object width for objects such as lines and text Created in NX3.0.0. More... | |
Represents an annotation / PMI (Product and Manufacturing Information) display instance object.
<br> Creation of drafting annotation objects is controlled by drafting license. <br> <br> Creation of PMI display instance objects is controlled by geometric_tol license. <br> <br> In all edit methods, the changes are not applied to the system until an update is performed. An update can be performed by calling @link Update::DoUpdate Update::DoUpdate@endlink (). <br> <br> This is an abstract class. <br>
Created in NX3.0.0.
NXOpen::Point3d NXOpen::Annotations::Annotation::AnnotationOrigin | ( | ) |
Returns the origin (location) of the annotation.
NOTE: The set method should not be used to edit a read-only object such as a Mirrored PMI object. If it is, the changes will be overridden when the part is updated.
Created in NX3.0.0.
License requirements : None
NXOpen::Xform* NXOpen::Annotations::Annotation::AnnotationPlane | ( | ) |
Returns the annotation plane.
NOTE: The set method should not be used to edit a read-only object such as a Mirrored PMI object. If it is, the changes will be overridden when the part is updated.
Created in NX4.0.0.
License requirements : None
NXOpen::Annotations::Annotation::AssociativeOriginData NXOpen::Annotations::Annotation::GetAssociativeOrigin | ( | NXOpen::Point3d * | origin | ) |
Gets data that specifies the origin's associativity.
origin | coordinates of the origin |
NXOpen::Annotations::Associativity* NXOpen::Annotations::Annotation::GetAssociativity | ( | int | associativityIndex | ) |
Returns the associativity at specified index.
associativityIndex | Associativity index |
NXOpen::Xform* NXOpen::Annotations::Annotation::GetInferredAnnotationPlane | ( | NXOpen::Annotations::PmiDefaultPlane | jaDefaultPlane | ) |
Returns the inferred annotation plane.
jaDefaultPlane | ja default plane |
NXOpen::Annotations::LetteringPreferences* NXOpen::Annotations::Annotation::GetLetteringPreferences | ( | ) |
Returns the lettering preferences for the annotation.
NXOpen::Annotations::LineAndArrowPreferences* NXOpen::Annotations::Annotation::GetLineAndArrowPreferences | ( | ) |
Returns the line and arrow preferences for the annotation.
NXOpen::Annotations::SymbolPreferences* NXOpen::Annotations::Annotation::GetSymbolPreferences | ( | ) |
Returns the symbol preferences for the annotation.
std::vector<NXOpen::View *> NXOpen::Annotations::Annotation::GetViews | ( | ) |
Returns the views that the PMI display instance object is displayed in NOTE: This method is only valid for PMI display instance objects.
This method will return an empty view list for non-PMI display instance objects. This method will return an empty view list if the PMI object is displayed in all views. @return List of views that PMI display instance object is displayed in
Created in NX4.0.0.
License requirements : None
bool NXOpen::Annotations::Annotation::HasAssociativeOrigin | ( | ) |
Returns a flag indicating whether the origin is associative
Created in NX3.0.0.
License requirements : None
void NXOpen::Annotations::Annotation::InsertIntoStack | ( | NXOpen::Annotations::Annotation * | stack, |
NXOpen::Annotations::StackAlignmentPosition | position | ||
) |
Inserts the annotation into a stack.
Annotations that already reside within a stack cannot be inserted into another stack (or the same stack) without first being removed from the stack they are in (attempting to do so will result in no changes to the annotation). The "position" parameter controls where in the stack the annotation will be inserted relative to the "stack" parameter. It is important to note that stacks have a primary column of members. Each member in the primary column can have up to three children (left, right, and below). If you stack an annotation above an existing stack member, the existing member becomes a child of the newly added member. The top most element in the primary column is the "owner" of the stack and all other annotations in the stack move relative to it. NOTE: This method should not be used to edit a read-only object such as a Mirrored PMI object. If it is, the changes will be overridden when the part is updated.
Created in NX6.0.1.
License requirements : geometric_tol ("GDT") OR drafting ("DRAFTING")
stack | Annotation in the stack |
position | Alignment position |
bool NXOpen::Annotations::Annotation::IsRetained | ( | ) |
Returns a flag indicating whether the annotation is retained
Created in NX3.0.0.
License requirements : None
NXOpen::Annotations::LeaderOrientation NXOpen::Annotations::Annotation::LeaderOrientation | ( | ) |
Returns the leader orientation for the annotation.
NOTE: The set method should not be used to edit a read-only object such as a Mirrored PMI object. If it is, the changes will be overridden when the part is updated.
Created in NX3.0.0.
License requirements : None
int NXOpen::Annotations::Annotation::NumberOfAssociativities | ( | ) |
Returns the number of associativities for the annotation.
Created in NX4.0.0.
License requirements : None
void NXOpen::Annotations::Annotation::SetAnnotationOrigin | ( | const NXOpen::Point3d & | origin | ) |
Sets the origin (location) of the annotation.
NOTE: The set method should not be used to edit a read-only object such as a Mirrored PMI object. If it is, the changes will be overridden when the part is updated.
Created in NX3.0.0.
License requirements : geometric_tol ("GDT") OR drafting ("DRAFTING")
origin | the new location |
void NXOpen::Annotations::Annotation::SetAnnotationPlane | ( | NXOpen::Xform * | annotationPlane | ) |
Sets the annotation plane.
NOTE: The set method should not be used to edit a read-only object such as a Mirrored PMI object. If it is, the changes will be overridden when the part is updated.
Created in NX4.0.0.
License requirements : geometric_tol ("GDT")
annotationPlane | annotation plane |
void NXOpen::Annotations::Annotation::SetAssociativeOrigin | ( | const NXOpen::Annotations::Annotation::AssociativeOriginData & | assocOrigin, |
const NXOpen::Point3d & | origin | ||
) |
Associates the annotation's origin to the specified geometry.
NOTE: This method should not be used to edit a read-only object such as a Mirrored PMI object. If it is, the changes will be overridden when the part is updated.
Created in NX3.0.0.
License requirements : geometric_tol ("GDT") OR drafting ("DRAFTING")
assocOrigin | associativity data |
origin | coordinates of the origin |
void NXOpen::Annotations::Annotation::SetAssociativity | ( | int | associativityIndex, |
NXOpen::Annotations::Associativity * | associativity | ||
) |
Sets the associativity at specified index.
NOTE: This method should not be used to edit a read-only object such as a Mirrored PMI object. If it is, the changes will be overridden when the part is updated.
Created in NX4.0.0.
License requirements : geometric_tol ("GDT") OR drafting ("DRAFTING")
associativityIndex | Associativity index |
associativity | Associativity object |
void NXOpen::Annotations::Annotation::SetLeaderOrientation | ( | NXOpen::Annotations::LeaderOrientation | leaderOrientation | ) |
Sets the leader orientation for the annotation.
NOTE: The set method should not be used to edit a read-only object such as a Mirrored PMI object. If it is, the changes will be overridden when the part is updated.
Created in NX3.0.0.
License requirements : geometric_tol ("GDT") OR drafting ("DRAFTING")
leaderOrientation | leader orientation |
void NXOpen::Annotations::Annotation::SetLetteringPreferences | ( | NXOpen::Annotations::LetteringPreferences * | letteringPrefs | ) |
Sets the lettering preferences for the annotation.
NOTE: This method should not be used to edit a read-only object such as a Mirrored PMI object. If it is, the changes will be overridden when the part is updated.
Created in NX3.0.0.
License requirements : geometric_tol ("GDT") OR drafting ("DRAFTING")
letteringPrefs | lettering prefs |
void NXOpen::Annotations::Annotation::SetLineAndArrowPreferences | ( | NXOpen::Annotations::LineAndArrowPreferences * | lineArrowPrefs | ) |
Sets the line and arrow preferences for the annotation.
NOTE: This method should not be used to edit a read-only object such as a Mirrored PMI object. If it is, the changes will be overridden when the part is updated.
Created in NX3.0.0.
License requirements : geometric_tol ("GDT") OR drafting ("DRAFTING")
lineArrowPrefs | line arrow prefs |
void NXOpen::Annotations::Annotation::SetSymbolPreferences | ( | NXOpen::Annotations::SymbolPreferences * | symbolPrefs | ) |
Sets the symbol preferences for the annotation.
NOTE: This method should not be used to edit a read-only object such as a Mirrored PMI object. If it is, the changes will be overridden when the part is updated.
Created in NX5.0.0.
License requirements : geometric_tol ("GDT") OR drafting ("DRAFTING")
symbolPrefs | symbol prefs |
void NXOpen::Annotations::Annotation::SetViews | ( | const std::vector< NXOpen::View * > & | modelViews | ) |
Sets the views that the PMI display instance object is displayed in.
NOTE: This method is only valid for PMI display instance objects. This method should not be used to edit a read-only object such as a Mirrored PMI object. If it is, the changes will be overridden when the part is updated.
Created in NX4.0.0.
License requirements : geometric_tol ("GDT")
modelViews | List of new views to display PMI display instance object in |